Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101

# ov_clear

declared in "vorbis/vorbisfile.h";

After a bitstream has been opened using ov_fopen()/ov_open()/ov_open_callbacks() and decoding is complete, the application must call `ov_clear()` to clear the decoder's buffers. `ov_clear()` will also close the file unless it was opened using ov_open_callbacks() with the `close_func` callback set to NULL.

`ov_clear()` must also be called after a successful call to ov_test() or ov_test_callbacks().

    int ov_clear(OggVorbis_File *vf);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisfile functions. After `ov_clear` has been called, the contents of this structure are deallocated, and it can no longer be used without being reinitialized by a call to ov_fopen(), ov_open() or ov_open_callbacks().

### Return Values

> - 0 for success

copyright © 2000-2010 Xiph.Org | Ogg Vorbis
Vorbisfile documentation | vorbisfile version 1.3.2 - 20101101